services:
    grumphp.util.filesystem:
        class: GrumPHP\Util\Filesystem
        public: true

    GrumPHP\Util\Paths:
        public: true
        arguments:
            - '@grumphp.util.filesystem'
            - '@GrumPHP\Configuration\GuessedPaths'

    grumphp.util.phpversion:
        class: GrumPHP\Util\PhpVersion
        arguments:
            -
              '5.6': '2018-12-31 23:59:59'
              '7.0': '2018-12-03 23:59:59'
              '7.1': '2019-12-01 23:59:59'
              '7.2': '2020-11-30 23:59:59'
              '7.3': '2021-12-06 23:59:59'
              '7.4': '2022-11-28 23:59:59'
              '8.0': '2023-11-26 23:59:59'
